Login
Newsletter
Werbung

Sicherheit: Denial of Service in flamethrower
Aktuelle Meldungen Distributionen
Name: Denial of Service in flamethrower
ID: DSA-1676-1
Distribution: Debian
Plattformen: Debian sid, Debian etch
Datum: Di, 2. Dezember 2008, 00:04
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-5141
Applikationen: flamethrower

Originalnachricht

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- ------------------------------------------------------------------------
Debian Security Advisory DSA-1676-1 security@debian.org
http://www.debian.org/security/ dann frazier
December 01, 2008 http://www.debian.org/security/faq
- ------------------------------------------------------------------------

Package : flamethrower (0.1.8-1+etch1)
Vulnerability : insecure temp file generation
Problem type : local
Debian-specific: no
CVE Id(s) : CVE-2008-5141
Debian Bug : 506350

Dmitry E. Oboukhov discovered that flamethrower creates predictable temporary
filenames, which may lead to a local denial of service through a symlink
attack.

For the stable distribution (etch), this problem has been fixed in version
0.1.8-1+etch1.

For the unstable distribution (sid), this problem has been fixed in
version 0.1.8-2.

We recommend that you upgrade your flamethrower package.

Upgrade instructions
- --------------------

wget url
will fetch the file for you
dpkg -i file.deb
will install the referenced file.

If you are using the apt-get package manager, use the line for
sources.list as given below:

apt-get update
will update the internal database
apt-get upgrade
will install corrected packages

You may use an automated update by adding the resources from the
footer to the proper configuration.


Debian GNU/Linux 4.0 alias etch
- -------------------------------

Stable updates are available for alpha, amd64, arm, hppa, i386, ia64, mips,
mipsel, powerpc, s390 and sparc.

Source archives:

flamethrower_0.1.8-1+etch1.diff.gz
Size/MD5 checksum: 3138 f6263743cb41f4f75ab9f4dbc76a71a5
flamethrower_0.1.8.orig.tar.gz
Size/MD5 checksum: 23485 04e1b6c5b4e72879e8aa69fcccb0491f
flamethrower_0.1.8-1+etch1.dsc
Size/MD5 checksum: 598 4a880e477706f57bcfb806eb46a81922

Architecture independent packages:

flamethrower_0.1.8-1+etch1_all.deb
Size/MD5 checksum: 16880 fbc0c1b237503a9d88521b444e4319e0


These files will probably be moved into the stable distribution on
its next update.

-
---------------------------------------------------------------------------------
For apt-get: deb http://security.debian.org/ stable/updates main
For dpkg-ftp: ftp://security.debian.org/debian-securitydists/stable/updates/main
Mailing list: debian-security-announce@lists.debian.org
Package info: `apt-cache show <pkg>' and http://packages.debian.org/<pkg>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJNGi7huANDBmkLRkRAtmHAJ46ID1fo23mpT0LaR+58dF75sgdaACgk1R2
I73MleBHGf32hPSwMhRRQbY=
=qNZs
-----END PGP SIGNATURE-----


--
To UNSUBSCRIBE, email to debian-security-announce-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact
listmaster@lists.debian.org
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung